## org.eclipse.emf.ecore.xml.type
Interface AnyType

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  SimpleAnyType

All Known Implementing Classes:
  AnyTypeImpl, SimpleAnyTypeImpl

    public interface AnyType

extends EObject

A representation of the model object 'Any Type'.

The following features are supported:

- `Mixed`
- `Any`
- `Any Attribute`

See Also:
  `XMLTypePackage.getAnyType()`

Method Summary
`FeatureMap` `getAny()` Returns the value of the 'Any' attribute list.
`FeatureMap` `getAnyAttribute()` Returns the value of the 'Any Attribute' attribute list.
`FeatureMap` `getMixed()` Returns the value of the 'Mixed' attribute list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `XMLTypePackage.getAnyType_Mixed()`

### getAny

    FeatureMap getAny()

  Returns the value of the 'Any' attribute list. The list contents are of type `FeatureMap.Entry`.

  Returns:
    the value of the 'Any' attribute list.
  See Also:
    `XMLTypePackage.getAnyType_Any()`

### getAnyAttribute

    FeatureMap getAnyAttribute()

  Returns the value of the 'Any Attribute' attribute list. The list contents are of type `FeatureMap.Entry`.

  Returns:
    the value of the 'Any Attribute' attribute list.
  See Also:
    `XMLTypePackage.getAnyType_AnyAttribute()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.